import { Component, OnInit, Inject } from '@angular/core';
import { TesService } from '../tes.service';
import { MatDialog, MatDialogRef, MAT_DIALOG_DATA, MatDialogModule } from '@angular/material';


@Component({
  selector: 'app-logoutdialog',
  templateUrl: './logoutdialog.component.html',
  styleUrls: ['./logoutdialog.component.css']
})
export class LogoutdialogComponent implements OnInit {

  constructor(
    public dialogRef: MatDialogRef<LogoutdialogComponent>,
    @Inject(MAT_DIALOG_DATA) public data: any,
    private tesService: TesService) {
   }

  ngOnInit() {
  }

  onLogout() {
    this.tesService.logout();
    this.dialogRef.close();
  }
  onCancel() {
    this.dialogRef.close();
  }

}
