import { Component, OnInit } from '@angular/core';
import { TesService } from '../tes.service';

@Component({
  selector: 'app-teserrors',
  templateUrl: './teserrors.component.html',
  styleUrls: ['./teserrors.component.css']
})
export class TeserrorsComponent implements OnInit {

  public statusMsg: string;

  constructor(private tesService: TesService,) { }

  ngOnInit() {
    console.log('constructing message component');
    this.tesService.getstatusMsgSubject().subscribe( msg => this.getNewMessage(msg));
    console.log('constructing message component complete');

  }

  getNewMessage(msg) {
    console.log('teserrors get message');
    this.statusMsg = msg;
    console.log('teserrors get message complete');

  }

}
